---
title: height
slug: Web/SVG/Attribute/height
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>height</code></strong> attribute defines the vertical length of an element in the user coordinate system.</p>

<p>Twenty five elements are using this attribute: {{SVGElement('feBlend')}}, {{SVGElement('feColorMatrix')}}, {{SVGElement('feComponentTransfer')}}, {{SVGElement('feComposite')}}, {{SVGElement('feConvolveMatrix')}}, {{SVGElement('feDiffuseLighting')}}, {{SVGElement('feDisplacementMap')}}, {{SVGElement('feDropShadow')}}, {{SVGElement('feFlood')}}, {{SVGElement('feGaussianBlur')}}, {{SVGElement('feImage')}}, {{SVGElement('feMerge')}}, {{SVGElement('feMorphology')}}, {{SVGElement('feOffset')}}, {{SVGElement('feSpecularLighting')}}, {{SVGElement('feTile')}}, {{SVGElement('feTurbulence')}}, {{SVGElement('filter')}}, {{SVGElement('foreignObject')}}, {{SVGElement('image')}}, {{SVGElement('mask')}}, {{SVGElement('pattern')}}, {{SVGElement('rect')}}, {{SVGElement('svg')}}, and {{SVGElement('use')}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html">&lt;svg viewBox="0 0 300 100" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;!-- With a height of 0 or less, nothing will be rendered --&gt;
  &lt;rect y="0" x="0" width="90" height="0"/&gt;
  &lt;rect y="0" x="100" width="90" height="60"/&gt;
  &lt;rect y="0" x="200" width="90" height="100%"/&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample('topExample', '100%', 200)}}</p>
</div>

<h2 id="feBlend">feBlend</h2>

<p>For {{SVGElement('feBlend')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feColorMatrix">feColorMatrix</h2>

<p>For {{SVGElement('feColorMatrix')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feComponentTransfer">feComponentTransfer</h2>

<p>For {{SVGElement('feComponentTransfer')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feComposite">feComposite</h2>

<p>For {{SVGElement('feComposite')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feConvolveMatrix">feConvolveMatrix</h2>

<p>For {{SVGElement('feConvolveMatrix')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDiffuseLighting">feDiffuseLighting</h2>

<p>For {{SVGElement('feDiffuseLighting')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDisplacementMap">feDisplacementMap</h2>

<p>For {{SVGElement('feDisplacementMap')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feDropShadow">feDropShadow</h2>

<p>For {{SVGElement('feDropShadow')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feFlood">feFlood</h2>

<p>For {{SVGElement('feFlood')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feGaussianBlur">feGaussianBlur</h2>

<p>For {{SVGElement('feGaussianBlur')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feImage">feImage</h2>

<p>For {{SVGElement('feImage')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feMerge">feMerge</h2>

<p>For {{SVGElement('feMerge')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feMorphology">feMorphology</h2>

<p>For {{SVGElement('feMorphology')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feOffset">feOffset</h2>

<p>For {{SVGElement('feOffset')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feSpecularLighting">feSpecularLighting</h2>

<p>For {{SVGElement('feSpecularLighting')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feTile">feTile</h2>

<p>For {{SVGElement('feTile')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="feTurbulence">feTurbulence</h2>

<p>For {{SVGElement('feTurbulence')}}, <code>height</code> defines the vertical length for the rendering area of the primitive.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>100%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="filter">filter</h2>

<p>For {{SVGElement('filter')}}, <code>height</code> defines the vertical length for the rendering area of the filter.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>120%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="foreignObject">foreignObject</h2>

<p>For {{SVGElement('foreignObject')}}, <code>height</code> defines the vertical length for the rendering area for the referenced document.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code> (treated as <code>0</code>)</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>height</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for <code>&lt;foreignObject&gt;</code>.</p>

<h2 id="image">image</h2>

<p>For {{SVGElement('image')}}, <code>height</code> defines the vertical length for the image.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code> (treated as the intrinsic height of the image)</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>height</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for images.</p>

<h2 id="mask">mask</h2>

<p>For {{SVGElement('mask')}}, <code>height</code> defines the vertical length of its area of effect. The exact effect of this attribute is influenced by the {{SVGAttr('maskUnits')}} attribute.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>120%</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="pattern">pattern</h2>

<p>For {{SVGElement('pattern')}}, <code>height</code> defines the vertical length of the tile pattern. The exact effect of this attribute is influenced by the {{SVGAttr('patternUnits')}} and {{SVGAttr('patternTransform')}} attributes.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>0</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="rect">rect</h2>

<p>For {{SVGElement('rect')}}, <code>height</code> defines the vertical length for the rectangle.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code> (treated as <code>0</code>)</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>height</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for rectangles.</p>

<h2 id="svg">svg</h2>

<p>For {{SVGElement('svg')}}, <code>height</code> defines the vertical length for the rendering area of the SVG viewport.</p>

<p class="note"><strong>Note:</strong> In an HTML document if both the {{SVGAttr('viewBox')}} and <code>height</code> attributes are omitted, <a href="https://svgwg.org/specs/integration/#svg-css-sizing">the svg element will be rendered with a height of <code>150px</code></a></p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code> (treated as <code>100%</code>)</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>height</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for <code>&lt;svg&gt;</code>.</p>

<h2 id="use">use</h2>

<p>For {{SVGElement('use')}}, <code>height</code> defines the vertical length for the referenced element.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <strong><a href="/docs/Web/SVG/Content_type#Length">&lt;length&gt;</a></strong> | <strong><a href="/docs/Web/SVG/Content_type#Percentage">&lt;percentage&gt;</a></strong></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code> (treated as <code>0</code>)</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note:</strong>  <code>height</code>has no effect on <code>use</code> elements, unless the element referenced has a <a href="/en-US/docs/Web/SVG/Attribute/viewBox">viewbox</a> - i.e. they only have an effect when <code>use</code> refers to a <code>svg</code> or <code>symbol</code> element.</p>
</div>

<p class="note"><strong>Note:</strong> Starting with SVG2, <code>height</code> is a <em>Geometry Property</em> meaning this attribute can also be used as a CSS property for used elements.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-filter-height', 'height') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for <code>&lt;filter&gt;</code></td>
  </tr>
  <tr>
   <td>{{ SpecName('Filters 1.0', '#element-attrdef-filter-primitive-height', 'height') }}</td>
   <td>{{Spec2('Filters 1.0')}}</td>
   <td>Definition for filter primitives</td>
  </tr>
  <tr>
   <td>{{SpecName("CSS Masks", "#element-attrdef-mask-height", 'height')}}</td>
   <td>{{Spec2("CSS Masks")}}</td>
   <td>Definition for <code>&lt;mask&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "geometry.html#Sizing", "height")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition as a geometry property</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "pservers.html#PatternElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Definition for <code>&lt;pattern&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "extend.html#ForeignObjectElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;foreignObject&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "pservers.html#PatternElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;pattern&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#ImageElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;image&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#SVGElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;svg&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "struct.html#UseElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;use&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;filter&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FilterPrimitiveHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for filter primitives</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "masking.html#MaskElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;mask&gt;</code></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "shapes.html#RectElementHeightAttribute", "height")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition for <code>&lt;rect&gt;</code></td>
  </tr>
 </tbody>
</table>
